djm1969

Change of ArcGIS from 10.0 to 10.1 and Python version generates error in cx_Oracle

Discussion created by djm1969 on Oct 7, 2013
Latest reply on Oct 7, 2013 by mvolz47
I recently upgraded my ArcGIS client environment from 10.0 to 10.1 and (consequently) my Python version from 2.6 to 2.7.
Code that ran fine before this change now fails with the following error message...

Traceback (most recent call last):
  File "V:\geoprocessing\scripts\eni\python\tow_dpr_update.py", line 394, in <module>
    conn = cx_Oracle.connect(connstr)
cx_Oracle.DatabaseError: ORA-24315: illegal attribute type


I am passing this in...

connstr = "user/password!@dbsid"

Anyone encounter something like this ?

Because of the compatability for Python 2.7 the version of cx_Oracle changed from 5.1.1 to 5.1.2.

Outcomes